# findWhere

## Purpose

Uses named arguments that match the property names of the domain class to produce a query that returns the first result.

## Examples

Given the domain class:

    class Book {
       String title
       Date releaseDate
       String author   static constraints = {
          releaseDate nullable: true
       }
    }

You can query in the form:

    def book = Book.findWhere(author:"Stephen King", title:"The Stand")boolean isReleased = Book.findWhere(author:"Stephen King", title:"The Stand", releaseDate: null) != null

## Description

Parameters:

- `queryParams` - A map of key value pairs to be used in the query